#!/bin/sh

# This script make sure that complete_selection/export-server/tmp's permission is set to 777 for export
# Author : Angielene N. Broqueza
# Last Update : October 16, 2017

. /tmp/openit-cfg-shenv

chmod 777 $ROOT_DIR/html/complete_selection/export-server/temp

## Determine version of Open iT then copy appropriate HostManagement.pm
CFG_FILE="/etc/opt/openit/openit.cfg"

if [ -e $CFG_FILE ]; then
	ROOT_DIR=$(grep '^ROOT_DIR' $CFG_FILE | tr -s ' ' | cut -d ' ' -f2)
	ROOT_TEMP_DIR=$(grep '^ROOT_TEMP_DIR' $CFG_FILE | tr -s ' ' | cut -d ' ' -f2)
	ver=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | tr -d '.'`
	if [ $ver -gt 65022 ]; then
		cp -rf files/lib/OpeniT/WebModules/HostManagement_65114.pm /opt/openit/lib/OpeniT/WebModules/HostManagement.pm
	else
		cp -rf files/lib/OpeniT/WebModules/HostManagement_65022.pm /opt/openit/lib/OpeniT/WebModules/HostManagement.pm
	fi
else
	echo "No such file or directory!"
	exit 0
fi

exit 0
